package speiger.src.coreengine.assets;

import java.util.Collection;
import java.util.List;
import java.util.function.Function;
import java.util.function.Predicate;

public interface IAssetPackage
{
	public void setParsers(Function<Class<?>, IAssetParser<?>> parsers);
	public List<String> getDomains();
	public IAsset getAsset(AssetLocation location);
	public void getAllAssets(AssetLocation folder, Predicate<String> fileNames, int maxDepth, Collection<AssetLocation> result);
}
